### A free/open-source library for quantitative finance

Public Member Functions
EndEulerDiscretization Class Reference
Stochastic processes

Euler end-point discretization for stochastic processes. More...

`#include <ql/processes/endeulerdiscretization.hpp>`

Inheritance diagram for EndEulerDiscretization:
[legend]

List of all members.

## Public Member Functions

Disposable< Array > | drift (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | drift (const StochasticProcess1D &, Time t0, Real x0, Time dt) const
Disposable< Matrix > | diffusion (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | diffusion (const StochasticProcess1D &, Time t0, Real x0, Time dt) const
Disposable< Matrix > | covariance (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | variance (const StochasticProcess1D &, Time t0, Real x0, Time dt) const

## Detailed Description

Euler end-point discretization for stochastic processes.

## Member Function Documentation

Disposable<Array> drift | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the drift defined as .

Implements StochasticProcess::discretization.

Real drift | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the drift defined as .

Implements StochasticProcess1D::discretization.

Disposable<Matrix> diffusion | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the diffusion defined as .

Implements StochasticProcess::discretization.

Real diffusion | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the diffusion defined as .

Implements StochasticProcess1D::discretization.

Disposable<Matrix> covariance | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the covariance defined as .

Implements StochasticProcess::discretization.

Real variance | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const`[virtual]`

Returns an approximation of the variance defined as .

Implements StochasticProcess1D::discretization.